Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class XmlDataDocumentWriter

`java.lang.Object
oracle.jbo.server.XmlDataDocumentWriter`

All Implemented Interfaces:
  XmlOutput

Direct Known Subclasses:
  DotNetXmlDocumentWriter

public class XmlDataDocumentWriter
extends java.lang.Object
implements XmlOutput

Constructor Summary
`XmlDataDocumentWriter()`
`XmlDataDocumentWriter(Document doc)`

Method Summary
`protected Node` | `createRowNode(RowImpl r)`
`protected Node` | `createRowSetNode(oracle.jbo.server.RowSetImpl rs)`
`protected Node` | `createViewObjectNode(ViewObjectImpl vo)`
`Document` | `getXMLDocument()`
`Node` | `writeObject(XmlSerializable object, Criteria criteria)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlDataDocumentWriter

    public XmlDataDocumentWriter()

### XmlDataDocumentWriter

    public XmlDataDocumentWriter(Document doc)

Method Detail

### getXMLDocument

    public Document getXMLDocument()

### writeObject

    public Node writeObject(XmlSerializable object,
                            Criteria criteria)

  Specified by:
    `writeObject` in interface `XmlOutput`

### createRowSetNode

    protected Node createRowSetNode(oracle.jbo.server.RowSetImpl rs)

### createRowNode

    protected Node createRowNode(RowImpl r)

### createViewObjectNode

    protected Node createViewObjectNode(ViewObjectImpl vo)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.